key: azure
title: Azure Search
description: AI-Powered cloud search service for web and mobile app development.
author: requarks.io
logo: https://static.requarks.io/logo/azure.svg
website: https://azure.microsoft.com/services/search/
isAvailable: true
props:
  serviceName:
    type: String
    title: Service Name
    hint: The name of the Azure Search Service. Found under Properties.
    order: 1
  adminKey:
    type: String
    title: Admin API Key
    hint: Either the primary or secondary admin key. Found under Keys.
    order: 2
  indexName:
    type: String
    title: Index Name
    hint: 'Name to use when creating the index. (default: wiki)'
    default: wiki
    order: 3
